> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slant.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an employment

> Update an existing employment record for a person



## OpenAPI

````yaml /api-reference/openapi.yaml patch /v1/people/{person_id}/employments/{id}
openapi: 3.0.1
info:
  title: Slant Public API V1
  version: v1
  description: Public API for creating and managing resources in Slant
  contact:
    name: Slant API Support
    email: api@slant.com
servers:
  - url: https://api.slant.app
security:
  - bearer: []
paths:
  /v1/people/{person_id}/employments/{id}:
    parameters:
      - name: person_id
        in: path
        description: The person ID
        required: true
        example: abc123xyz
        schema:
          type: string
      - name: id
        in: path
        description: The employment ID
        required: true
        example: abc123xyz
        schema:
          type: string
    patch:
      tags:
        - People
      summary: Update an employment
      description: Update an existing employment record for a person
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                business_name:
                  type: string
                  example: New Corp
                role:
                  type: string
                  example: Director
                start_date:
                  type: string
                  format: date
                  example: '2023-01-15'
                end_date:
                  type: string
                  format: date
                  example: '2024-12-31'
                actively_employed:
                  type: boolean
                  example: false
        required: true
      responses:
        '200':
          description: employment updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Employment'
        '400':
          description: bad request - invalid JSON
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - detail
                properties:
                  error:
                    type: string
                    description: Error code
                    enum:
                      - invalid_json
                  detail:
                    oneOf:
                      - type: string
                        description: Human-readable error description
                      - type: array
                        items:
                          type: string
                        description: Array of validation error messages
        '401':
          description: unauthorized - missing or invalid token
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - detail
                properties:
                  error:
                    type: string
                    description: Error code
                    enum:
                      - token_missing
                      - token_invalid
                  detail:
                    oneOf:
                      - type: string
                        description: Human-readable error description
                      - type: array
                        items:
                          type: string
                        description: Array of validation error messages
        '403':
          description: forbidden
      security:
        - bearer: []
components:
  schemas:
    Employment:
      type: object
      required:
        - business_name
      properties:
        id:
          type: string
          description: The employment ID
          example: emp123xyz
        person_id:
          type: string
          description: The person ID
          example: abc123xyz
        business_name:
          type: string
          example: Acme Corp
        role:
          type: string
          example: Software Engineer
          nullable: true
        start_date:
          type: string
          format: date
          example: '2023-01-15'
          nullable: true
        end_date:
          type: string
          format: date
          example: '2024-12-31'
          nullable: true
        actively_employed:
          type: boolean
          example: true
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: OAuth
      description: OAuth 2.0 Bearer Token from Clerk authentication

````